
Installer - Feature #32037

Disable katello-agent and infrastructure by default and allow users to enable it on new installs or

disable it on upgrades

03/08/2021 06:58 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: 2.5.0   

Difficulty:  Fixed in Releases: 2.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-qpi

d/pull/148,

https://github.com/theforeman/puppet-kat

ello/pull/387,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/329,

https://github.com/theforeman/puppet-qpi

d/pull/154,

https://github.com/theforeman/puppet-qpi

d/pull/158,

https://github.com/theforeman/puppet-qpi

d/pull/159,

https://github.com/theforeman/puppet-qpi

d/pull/161,

https://github.com/theforeman/foreman-i

nstaller/pull/675

  

Description

Related issues:

Related to Katello - Feature #31910: [sat-e-613] Update UI to hide k-agent de... Closed

Associated revisions

Revision 34583bb5 - 03/29/2021 08:19 PM - Eric Helms

Refs #32037: Add parameters to disable qpid services

Revision 734b44b8 - 04/05/2021 08:18 PM - Eric Helms

Refs #32037: Add ensure on qpid class to allow removal of all qpid assets

Adds an ensure parameter at the top level to allow specifyin 'absent'

to remove all packages, configuration files and disable services.

Revision 145742a6 - 04/06/2021 12:36 PM - Eric Helms

Refs #32037: Do not remove all packages when ensuring absent

Addresses feedback from previous commit 734b44b8dd2061743f0b12695482ac691682deb5

to not remove ancillary packages and ensure relationship between user

and group.

Revision ddfbc398 - 04/09/2021 06:26 PM - William Clark

Refs #32037: Add ensure on qpid::tools class to allow removal of package

Revision 8933401b - 04/15/2021 02:15 PM - Eric Helms

Refs #32037: Manage /var/lib/qpidd
When the qpidd service starts it creates a directory /var/lib/qpidd/.qpidd

If the qpid is then ensured to be absent, removing the qpidd user

and then re-enabled this directory will have the wrong user id set on it

and get permission denied when trying to start the service.

Revision 15879e53 - 04/21/2021 03:56 PM - Eric Helms

Refs #32037: Add flag to enable katello_agent infrastructure and disable it by default

Revision f26e9411 - 04/21/2021 03:56 PM - Eric Helms

Refs #32037: Add flag to enable katello_agent infrastructure and disable it by default

Revision 74179f9c - 04/21/2021 03:57 PM - Eric Helms

Fixes #32037 - Disable katello-agent on install, ensure enabled on upgrade

History

#1 - 03/08/2021 06:59 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/puppet-qpid/pull/148 added

#2 - 03/08/2021 07:04 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/387 added

#3 - 03/08/2021 07:09 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/329 added

#4 - 03/08/2021 08:01 PM - Eric Helms

- Related to Feature #31910: [sat-e-613] Update UI to hide k-agent dep warnings if it is disabled added

#5 - 04/01/2021 11:00 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-qpid/pull/154 added

#6 - 04/05/2021 11:50 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-qpid/pull/158 added

#7 - 04/06/2021 11:48 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-qpid/pull/159 added

#8 - 04/13/2021 03:33 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-qpid/pull/161 added

#9 - 04/15/2021 06:06 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/675 added

#10 - 04/21/2021 03:57 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#11 - 04/21/2021 04:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|74179f9c2f00b4c4ef4d504aba0a89efb322b73d.

#12 - 05/06/2021 12:01 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
